Package org.picocontainer

# Class BindKey<T>

java.lang.Object
org.picocontainer.BindKey<T>

All Implemented Interfaces:
  `Serializable`

public class BindKey<T> extends Object implements Serializable

Author:
  Paul Hammant
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BindKey(Class<T> type, Class<? extends Annotation> annotation)`

## Method Summary

Modifier and Type
Method
Description
`static <T> BindKey<T>`
`bindKey(Class<T> type, Class<? extends Annotation> annotation)`
`boolean`
`equals(Object o)`
`Class<? extends Annotation>`
`getAnnotation()`
`Class<T>`
`getType()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BindKey

public BindKey(Class<T> type, Class<? extends Annotation> annotation)

## Method Details

### getType

public Class<T> getType()

### getAnnotation

public Class<? extends Annotation> getAnnotation()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### bindKey

public static <T> BindKey<T> bindKey(Class<T> type, Class<? extends Annotation> annotation)